Bug 245225 - games/frotz: Update to version 2.51
Summary: games/frotz: Update to version 2.51
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-03-31 23:07 UTC by David Griffith
Modified: 2020-04-22 18:30 UTC (History)
1 user (show)

See Also:


Attachments
Diff between Frotz 2.50 and 2.51 (2.94 KB, patch)
2020-03-31 23:12 UTC, David Griffith
dave: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Griffith 2020-03-31 23:07:15 UTC

    
Comment 1 Bugzilla Automation freebsd_committer 2020-03-31 23:07:15 UTC
Maintainer informed via mail
Comment 2 David Griffith 2020-03-31 23:12:13 UTC
Created attachment 212918 [details]
Diff between Frotz 2.50 and 2.51

Nothing really new except update to install the latest version.  Once I figure out how to properly do it, I'll add an option for audio output for the curses interface and the SDL interface.

Summary of changes between Frotz 2.50 and Frotz 2.51:
=====================================================

Frotz 2.51 was released on Wednesday February 12, 2020.

This is a minor release focusing on minor enhancements and bug fixes.

NEW FEATURES

- Added an -f option for Dumb Frotz to mark up the output with color and
  formatting codes.  Currently "irc", "ansi", and "normal" modes are
  supported.


BUG FIXES

- Cleanly account for some installations of ncurses which have the
  library split into ncurses (high level) and tinfo (low level).

- Added an idiosyncrasy fix for Cutthroats, which assumes a
  quick-and-dirty conversion of 24-hour notation to am/pm notation.

- Fixed where the Makefile used spaces instead of a tab in a rarely-used
  recipe.

- Fixed a memory allocation problem with restoring a game at the command
  line using the -L option.

- Fixed an oversight in which curses wasn't being shut down properly
  when fatal zcode errors were encountered.
Comment 3 Automation User 2020-03-31 23:46:05 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/131622217
Comment 4 Tobias C. Berner freebsd_committer 2020-04-22 18:30:14 UTC
Committed. Thanks.
Comment 5 commit-hook freebsd_committer 2020-04-22 18:30:17 UTC
A commit references this bug:

Author: tcberner
Date: Wed Apr 22 18:29:43 UTC 2020
New revision: 532497
URL: https://svnweb.freebsd.org/changeset/ports/532497

Log:
  games/frotz: Update to version 2.51

  PR:		245225
  Submitted by:	David Griffith <dave@661.org>  (maintainer)

Changes:
  head/games/frotz/Makefile
  head/games/frotz/distinfo
  head/games/frotz/files/patch-Makefile